/*******************************************************************************
* File Name: main.c
* Description:
*   Message 1 - Status of Switch 1. Sent whenever there is  pressed  (ID= 0x12345678). 
*   Message 2 - Status of Switch 0. Sent whenever there is released  (ID=      0x123).
*******************************************************************************/
#include <project.h>
#include <stdio.h>
#include "CAN.h"
  
/* Switch state defines */
#define SWITCH_PRESSED         (0u)
#define SWITCH_RELEASED        (1u)

/* Global variable used to store switch state */
uint8 switchState = SWITCH_RELEASED;    // память текущего состояния кнопки
/* Global variable used to store ISR flag */
volatile uint8 isrFlag = 0u;

/* Function prototypes */
static uint32 ReadSwSwitch(void);
 //CY_ISR_PROTO(ISR_CAN);

//****************************************************************************
int main()
{
 CAN_Start();
 CyGlobalIntEnable;

 for(;;)
  {
    switchState = Switch1_Read();  // 
    PWM_OUT_Write(switchState);
    if (switchState == SWITCH_PRESSED)
     { CAN_TX_DATA_BYTE1(CAN_TX_MAILBOX_switch) = SWITCH_PRESSED;
      CAN_SendMsgswitch();
     }   
    else
     {  CAN_TX_DATA_BYTE1(CAN_TX_MAILBOX_1) = SWITCH_RELEASED;
        CAN_TX_DATA_BYTE2(CAN_TX_MAILBOX_1) = 2;  CAN_TX_DATA_BYTE3(CAN_TX_MAILBOX_1) = 3; CAN_TX_DATA_BYTE4(CAN_TX_MAILBOX_1) = 4;
        CAN_TX_DATA_BYTE5(CAN_TX_MAILBOX_1) = 5;  CAN_TX_DATA_BYTE6(CAN_TX_MAILBOX_1) = 6; CAN_TX_DATA_BYTE7(CAN_TX_MAILBOX_1) = 7;
        CAN_TX_DATA_BYTE8(CAN_TX_MAILBOX_1) = 8;
      CAN_SendMsg1();
     } 
   CyDelay(500);
  }
}

/* [] END OF FILE */

