/*******************************************************************************
* File Name: main.c
* Description:
* receive the following messages from the  remote node:
* Message 1 -  Status of Switch   from ID    0xF004 in data_0
* Message 2 -  Status of Switch   from ID    0xFEC1 in data_0
*******************************************************************************/
#include <project.h>
#include <stdio.h>

#define SWITCH_PRESSED              (1u)
uint i,n; 

volatile uint8 receiveMailboxNumber = 0xFFu;// Global variable to store receive message mailbox number  
volatile uint8 isrFlag = 0u;                // Global variable used to store ISR flag  
char CharBuffer[100];
char datastr[100];

/* Function prototypes */
CY_ISR_PROTO(ISR_CAN);

//***********************************************************************************
 int main()
{
 CAN_Start();
    /* Set CAN interrupt handler to local routine */
 CyIntSetVector(CAN_ISR_NUMBER, ISR_CAN); 
 CyGlobalIntEnable;

    /* Start USBFS Operation with 3V operation */
 USBUART_Start(0u, USBUART_5V_OPERATION);
    /* Wait for Device to enumerate */
  while(!USBUART_GetConfiguration()) {};
    /* Enumeration is done, enable OUT endpoint for receive data from Host */
 USBUART_CDC_Init();  


 for(;;)
    {
    if (isrFlag != 0u)
        {
          n =  CAN_GET_DLC(0); // bytes resived
          sprintf( CharBuffer,"\r\nID: 0x%lX Bytes: %d; Data: ",CAN_GET_RX_ID(0), n);    
          sprintf( datastr,"0x%02X,0x%02X,0x%02X,0x%02X,0x%02X,0x%02X,0x%02X,0x%02X",CAN_RX_DATA_BYTE1(0), CAN_RX_DATA_BYTE2(0), CAN_RX_DATA_BYTE3(0), CAN_RX_DATA_BYTE4(0), CAN_RX_DATA_BYTE5(0), CAN_RX_DATA_BYTE6(0), CAN_RX_DATA_BYTE7(0), CAN_RX_DATA_BYTE8(0)); 
          strncat (CharBuffer, datastr,5*n);  // n byte only
          USBUART_PutString(CharBuffer); 
          isrFlag = 0u; // Clear the isrFlag 
        }
    
     }
}//.....................



/*******************************************************************************
* Function Name: ISR_CAN
********************************************************************************/

CY_ISR(ISR_CAN)
{
 CAN_INT_SR_REG.byte[1u] = CAN_RX_MESSAGE_MASK;  // Clear Receive Message flag 
 isrFlag = 1u;                                   // Set the isrFlag   
 CAN_RX_ACK_MESSAGE(CAN_RX_MAILBOX_0);          // Acknowledges receipt of new message  
}


// n = CAN_GET_DLC(0);
//     sprintf( CharBuffer,"ID: 0x%lX Bytes: %d;  Data:", CAN_GET_RX_ID(0), i);        
//   
//    for(i=0;i<n;i++)
//     { USBUART_PutChar(CAN_RX_DATA_BYTE(0,i));  USBUART_PutChar(' ');}
//    USBUART_PutString("\r\n"); 


